/* You can add global styles to this file, and also import other style files */

html,
body {
    height: 100%;
}

body {
    margin: 0;
    font-family: Roboto, "Helvetica Neue", sans-serif;
    font-size: 1rem;
    width: 100%;
    height: 100vh;
    background-color: var(--blue-1);
    display: flex;
    justify-content: center;
    align-items: center;
}

:root {
    --blue-1: #3C429E;
    --blue-2: #4C52AD;
    --yellow-1: #FAC742;
    --white: #fff;
    --grey-1: #dedede;
    --shadow-dark: rgba(0, 0, 0, 0.3);
    --shadow-light: rgba(255, 255, 255, 0.1);
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

.container {
    width: 400px;
    height: 80vh;
    background-color: var(--blue-2);
    border-radius: 20px;
    box-shadow: 10px 10px 10px var(--shadow-dark);


    .upper-data {
        position: relative;
        overflow: hidden;
        width: 100%;
        height: 50%;
        border-top-left-radius: 20px;
        border-top-right-radius: 20px;

        img {
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
        }
    }

    .weather-data {
        position: relative;
        z-index: 1;
        width: 100%;
        height: 100%;
        background-color: var(--shadow-dark);
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;

        .location {
            color: var(--white);
            text-align: center;
            font-size: 1.2em;
        }
        .temperature {
            color: var(--white);
            font-size: 4em;
            text-align: center;
            font-weight: 900;
        }
    }
}